
From: "Luiz Fernando N. Capitulino" <lcapitulino@prefeitura.sp.gov.br>

drivers/char/ipmi/ipmi_si_intf.c: In function `acpi_gpe_irq_setup':
drivers/char/ipmi/ipmi_si_intf.c:1173: warning: passing arg 4 of `acpi_install_gpe_handler' from incompatible pointer type
drivers/char/ipmi/ipmi_si_intf.c: In function `acpi_gpe_irq_cleanup':
drivers/char/ipmi/ipmi_si_intf.c:1193: warning: passing arg 3 of `acpi_remove_gpe_handler' from incompatible pointer type

Signed-off-by: Luiz Capitulino <lcapitulino@prefeitura.sp.gov.br>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/ipmi/ipmi_si_intf.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN drivers/char/ipmi/ipmi_si_intf.c~fix-char-ipmi-ipmi_si_intfc-warnings drivers/char/ipmi/ipmi_si_intf.c
--- 25/drivers/char/ipmi/ipmi_si_intf.c~fix-char-ipmi-ipmi_si_intfc-warnings	Fri Jun 25 14:54:54 2004
+++ 25-akpm/drivers/char/ipmi/ipmi_si_intf.c	Fri Jun 25 14:54:54 2004
@@ -1132,7 +1132,7 @@ static int try_init_mem(int intf_num, st
 static int acpi_failure = 0;
 
 /* For GPE-type interrupts. */
-void ipmi_acpi_gpe(void *context)
+u32 ipmi_acpi_gpe(void *context)
 {
 	struct smi_info *smi_info = context;
 	unsigned long   flags;
@@ -1156,6 +1156,7 @@ void ipmi_acpi_gpe(void *context)
 	smi_event_handler(smi_info, 0);
  out:
 	spin_unlock_irqrestore(&(smi_info->si_lock), flags);
+	return 0;
 }
 
 static int acpi_gpe_irq_setup(struct smi_info *info)
_
